gdk-sharp 0.0.0.0 neutral Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. A structure that contains different colors. None. GLib.Object GLib.IWrapper System.IDisposable
- Method
  System.Void Disposes the resources associated with the object.
- Constructor
  Internal constructor
  Pointer to the C object.
  An instance of Colormap, wrapping the C object.

  This is an internal constructor, and should not be used by user code.

- Constructor
  Creates a new colormap for the given visual.
  A
  if true, the newly created colormap will be a private colormap, and all colors in it will be allocated for the applications use.
  The new
  None.
- Property
  Gdk.Colormap Gets the system's default colormap for the default screen. The system's default colormap for the default screen. None.
- Property
  Gdk.Visual Returns the visual for which a given colormap was created. The of the colormap. None.
- Method
  System.Boolean `` `` `` Allocates a single color from a colormap. The color to allocate. On return the pixel field will be filled in if allocation succeeds. If true, the color is allocated writeable (their values can later be changed using ). Writeable colors cannot be shared between applications. If true, GDK will attempt to do matching against existing colors if the color cannot be allocated as requested. True if the allocation succeeded. None.
- Property
  Gdk.Screen Gets the screen for which this colormap was created. The screen for which this colormap was created. None.
- Property
  GLib.GType GType Property. a Returns the native value for .
- Method
  System.Void `` `` Locates the RGB color in the colormap corresponding to the given hardware pixel. Pixel value in hardware display format. with red, green, blue fields initialized. Pixel must be a valid pixel in the colormap; it's a programmer error to call his function with a pixel which is not in the colormap. Hardware pixels are normally obtained from , or from a . (A contains image data in hardware format, a contains image data in a canonical 24-bit RGB format.)
- Method
  System.Void `` `` Frees previously allocated colors. The colors to free. The number of colors in colors. None.
- Method
  System.Int32 `` `` `` `` `` Allocates colors from a colormap. The color values to allocate. On return, the pixel values for allocated colors will be filled in. The number of colors in colors. If true, the colors are allocated writeable (their values can later be changed using ). Writeable colors cannot be shared between applications. If true, GDK will attempt to do matching against existing colors if the colors cannot be allocated as requested. An array of length ncolors. On return, this indicates whether the corresponding color in colors was sucessfully allocated or not. The number of colors that were not successfully allocated. None.
- Constructor
  Internal constructor
  a
  a
  This is a constructor used by derivative types of that would have their own GLib.GType assigned to it. This is not typically used by C# code.
- Property
  System.Int32 To be added a To be added
- Method
  Gdk.Colormap To be added a To be added
- Method
  System.Void To be added To be added
- Method
  System.Void `` To be added a To be added